Get transaction
GET/api/transactions/:id
Returns detailed merchant transaction information by transaction UUID.
Use this method to get the current status of a transaction by the transactionId returned when you created it.
COMPLETED,CANCELED, andREFUNDEDare final. ACOMPLETEDtransaction can still move toREFUNDINGandREFUNDEDif a refund is made later. See Statuses.- If you do not have the ID, for example after a timeout, search Get transaction history.
Step by step: Tracking payout status.
Request
Path Parameters
Transaction UUID.
11111111-1111-4111-8111-111111111111Responses
- 200
- 400
- 401
- 404
- 500
OK
- application/json
- Schema
- Example
Schema
Transaction Id.
11111111-1111-4111-8111-111111111111Payment Method Type.
Possible values: [INTERNAL_OWN, INTERNAL_OTHERS, CRYPTOWALLET, CRYPTO_EXTERNAL]
INTERNAL_OWNTransaction Type.
Possible values: [DEPOSIT, INTERNAL_TRANSFER_OTHER, INTERNAL_TRANSFER_OWN, SYSTEM_PAYMENT, WITHDRAWAL, REFUND]
DEPOSITStatus.
Possible values: [PENDING, COMPLETED, CANCELED, REFUNDED]
COMPLETEDDirection.
Possible values: [DEPOSIT, WITHDRAWAL]
DEPOSITTransaction direction.
Possible values: [INCOMING, OUTGOING, EXCHANGE]
OUTGOINGCurrency.
Possible values: [USD, EUR, BTC, BNB, ETH, LTC, XRP, USDT, USDT_BEP20, USDT_ERC20, USDT_TRC20, USDT_SOL, USDT_AVAXC, USDT_POL, USDT_OP, USDT_ARB, TRX, USDC, USDC_ERC20, USDC_BEP20, TON, SOL, AVAX, POL, USDT_TON, USDC_ARB, USDC_OP, USDC_POL, USDC_AVAXC, USDC_SOL]
USDAmount.
10.25Created At.
Payment Scope.
Possible values: [PERSONAL, BUSINESS, MERCHANT_API, PAYMENT_GATEWAY]
PERSONALMerchant order Id.
ORDER_123456Wallet Src Id.
USD123456789012Wallet Dest Id.
USD123456789012Full Commission.
10.25Comment.
Sandbox transfer noteCrypto Currency Tx Hash.
4e3ab7d90c8f254ad96e38d5471b72411d4cc47a6cd317a15ca020d8212b0f5eCompleted At.
Sender. Depending on the payment method, this can be an email address, wallet ID, cryptocurrency address, masked card number, or IBAN.
[email protected]Receiver. Depending on the payment method, this can be an email address, wallet ID, cryptocurrency address, masked card number, or IBAN.
LXGkekTDFZDCNUDYcPaRHERydnT1oSnwDxParent Transaction Id.
11111111-1111-4111-8111-111111111111Amount Income.
10.25Currency Income.
Possible values: [USD, EUR, BTC, BNB, ETH, LTC, XRP, USDT, USDT_BEP20, USDT_ERC20, USDT_TRC20, USDT_SOL, USDT_AVAXC, USDT_POL, USDT_OP, USDT_ARB, TRX, USDC, USDC_ERC20, USDC_BEP20, TON, SOL, AVAX, POL, USDT_TON, USDC_ARB, USDC_OP, USDC_POL, USDC_AVAXC, USDC_SOL]
USD{
"transactionId": "11111111-1111-4111-8111-111111111111",
"paymentMethodType": "INTERNAL_OWN",
"transactionType": "INTERNAL_TRANSFER_OWN",
"status": "CREATED",
"direction": "WITHDRAWAL",
"transactionDirection": "EXCHANGE",
"currency": "USD",
"amount": 10.25,
"createdAt": "2026-01-15T10:30:00",
"paymentScope": "PERSONAL",
"orderId": "ORDER_123456",
"walletSrcId": "USD123456789012",
"walletDestId": "USD123456789012",
"fullCommission": 10.25,
"comment": "Sandbox transfer note",
"cryptoCurrencyTxHash": "4e3ab7d90c8f254ad96e38d5471b72411d4cc47a6cd317a15ca020d8212b0f5e",
"completedAt": "2026-01-15T10:30:00",
"receiver": "LXGkekTDFZDCNUDYcPaRHERydnT1oSnwDx",
"parentTransactionId": "11111111-1111-4111-8111-111111111111",
"amountIncome": 10.25,
"currencyIncome": "USD"
}
Bad request. The request is malformed or contains invalid parameters.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
disabledError category.
FORMShort unique error identifier for support and logs.
errTest1234Human-readable error description.
REQUESTED OPERATION IS DISABLED FOR THE MERCHANT APIRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "disabled",
"errorType": "FORM",
"errorId": "errTest1234",
"errorDescription": "REQUESTED OPERATION IS DISABLED FOR THE MERCHANT API",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Unauthorized. Merchant authentication headers are missing or invalid.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
userDoesNotExistExceptionError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
NOT FOUND API WITH ACCOUNT_EMAIL: [email protected]Request field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "userDoesNotExistException",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Not found. The requested resource does not exist.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
resourceNotFoundError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
Resource not foundRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "resourceNotFound",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorDescription": "Resource not found",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Internal server error. Unexpected error please contact support
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
internalServerErrorError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
Internal server errorRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "internalServerError",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorDescription": "Internal server error",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}